For the complete documentation index, see llms.txt. This page is also available as Markdown.

System

Get system information

get
/v1/system/info

Returns system information.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Success execution

application/json

Represents system information

gs_namestringRequired

Identity of the Ground Station

Example: G001ZH
gs_macstringRequired

The MAC address of the router WAN port

Example: 00:11:22:33:44:55
kite_namestringOptional

Name of the Kite

Example: K2020MF
rtb_namestringOptional

Name of the Rooftop Box (RTB)

Example: R001ND
installationstringRequired

Type of installation. Possible values:

  • Transport Case
  • Tray Mount
  • Rooftop Box
  • Dev Kit
  • Bare Ground Station
Example: Rooftop Box
modelstringRequired

Model/generation of the Fotokite system

Example: Sigma
propeller_modelstringOptional

Model of the propellers used in the system. Possible values:

  • Propeller 1st Generation
  • Propeller 2nd Generation
Example: Propeller 1st Generation
timezonestringRequired

Timezone of the Fotokite system

Example: Europe/Zurich
timezone_name_shortstringRequired

Short name of the timezone

Example: CEST
timezone_offsetstringRequired

Offset of the timezone

Example: +02:00
software_channelstringRequired

System software channel

Example: production
software_versionstringRequired

System software release version number

Example: 59
get/v1/system/info
GET /api/v1/system/info HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success execution

{
  "gs_name": "G001ZH",
  "gs_mac": "00:11:22:33:44:55",
  "kite_name": "K2020MF",
  "rtb_name": "R001ND",
  "installation": "Rooftop Box",
  "model": "Sigma",
  "propeller_model": "Propeller 1st Generation",
  "timezone": "Europe/Zurich",
  "timezone_name_short": "CEST",
  "timezone_offset": "+02:00",
  "boards": [
    {
      "board": "GMC",
      "id": "001111211136511134311FFF"
    }
  ],
  "software_channel": "production",
  "software_version": "59",
  "drone_id": {
    "regulatory_mode": "US_REMOTE_ID_STANDARD",
    "serial": "1898B0020G9132PH"
  }
}

Get system state

get
/v1/system/state

Returns frequently changing system information.

Required scopes
This endpoint requires the following scopes:
  • : Grants access to retrieve system data and information.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
200

Success execution

application/json

Represents frequently changing system information

kite_battery_levelnumber · max: 100Optional

Kite backup battery charge level in percents [0..+100]

gs_battery_levelnumber · max: 100Optional

Ground Station backup battery charge level in percents [0..+100]

gs_input_voltagenumberOptional

Ground Station input voltage (volts)

gs_gps_has_fixbooleanOptional

Whether the data reported by the Ground Station GPS is useable

gs_gps_latnumber · min: -90 · max: 90Optional

Latitude reported by Ground Station GPS [-90..+90] (degrees)

gs_gps_lonnumber · min: -180 · max: 180Optional

Longitude reported by Ground Station GPS (-180..+180] (degrees)

gs_gps_elevationnumberOptional

Elevation reported by Ground Station GPS (meters)

gs_gps_accuracynumberOptional

Ground Station GPS accuracy in meters

rtb_lids_statestring · enumOptional

Rooftop Box (RTB) lids state

Possible values:
rtb_external_safety_land_button_statestring · enumOptional

State of the external safety land button connected to the Rooftop Box

Possible values:
rtb_parking_brake_statestring · enumOptional

State of the parking brake on the Rooftop Box. When the parking brake is engaged, the system will not take off.

Possible values:
get/v1/system/state
GET /api/v1/system/state HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
200

Success execution

{
  "kite_battery_level": 100,
  "gs_battery_level": 98,
  "gs_input_voltage": 112,
  "gs_gps_has_fix": true,
  "gs_gps_lat": 47.3883959,
  "gs_gps_lon": 8.5229581,
  "gs_gps_elevation": 403,
  "gs_gps_accuracy": 0.31,
  "drone_id": {
    "status": {
      "status": "OK"
    },
    "error_codes": []
  },
  "rtb_lids_state": "Opened",
  "rtb_external_safety_land_button_state": "NotPressed",
  "rtb_parking_brake_state": "Disengaged"
}

Open Rooftop Box lids

post
/v1/system/control/open_rtb_lids

Opens the Rooftop Box (RTB) lids. It is not necessary to call this endpoint before takeoff, as the system will automatically open the lids when needed. This endpoint is intended for maintenance purposes.

Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
202

The command was sent successfully

No content

post/v1/system/control/open_rtb_lids
POST /api/v1/system/control/open_rtb_lids HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Close Rooftop Box lids

post
/v1/system/control/close_rtb_lids

Closes the Rooftop Box (RTB) lids. It is not necessary to call this endpoint after landing, as the system will automatically close the lids when needed. This endpoint is intended for maintenance purposes.

Required scopes
This endpoint requires the following scopes:
  • : Allows sending commands to control the system.
Authorizations
OAuth2clientCredentialsRequired

Plugin authentication using Bearer token. For more details, see Fotokite API Documentation.

Token URL:
Responses
202

The command was sent successfully

No content

post/v1/system/control/close_rtb_lids
POST /api/v1/system/control/close_rtb_lids HTTP/1.1
Host: 192.168.2.100:3128
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*

No content

Last updated